Subject: Re: zsh-4.1.1-2 still seems broken under Cygwin-1.5.7-1 .
From: Larry Hall <[email-masked]>
To: "Peter A. Castro" <[email-masked]>, Cygwin List <[email-masked]>
Cc: Morris Siegel <[email-masked]>
Date: Thu, 12 Feb 2004 13:40:58 -0500

At 01:06 PM 2/12/2004, Peter A. Castro you wrote:
>On Thu, 12 Feb 2004, Larry Hall wrote:
>
>> At 02:03 AM 2/12/2004, Peter A. Castro you wrote:
>> >On Wed, 11 Feb 2004, Morris Siegel wrote:
>> >
>> >> My PC is running under Windows XP Professional, and until recently with
>> >> Cygwin-1.5.5-1 and zsh-4.1.1-1 .  I upgraded to Cygwin-1.5.6-1, installing
>> >> everything available, in particular including zsh-4.1.1-2 .  zsh behaved in
>> >> a buggy fashion.  I reported it; you kindly replied that similarly problems
>> >> had been reported by others, and that Cygwin-1.5.7-1 should fix matters.  I
>> >> upgraded to that, and the behavior is improved, but still buggy: (1)
>> >> sometimes when I start zsh it hangs, sometimes it starts normally; (2) zsh
>> >> command-line editing generally badly messes up the display when long command
>> >> lines are being edited.  I seem to recall that problem (2) was a consistent
>> >> nuisance a while back, but then some new Cygwin release (I don't remember
>> >> which) fixed it.  (I generally run zsh under screen, by the way.)
>> >
>> >cgf said in earlier email that this has been fixed in CVS and will be
>> >pushed into the next release.  For the moment, if you really need zsh
>> >(like me :), downgrade to 1.5.5 and wait for the update to appear.
>>
>> As I mentioned before, it's better to verify that the current snapshot does
>> address the problem you're seeing locally.  Otherwise, if you're seeing a
>> variant or something different than the rest, your problem won't be known
>> until after 1.5.8 is released.  See <http://cygwin.com/snapshots/> for the
>> latest snapshots you can download and try.
>
>Thanks, Larry, but I've already confirmed the latest snapshot (20040206)
>fixes the problem.  

Great!

>Still, I feel it's best for most regular users to
>wait for the official release instead of possibly compromising their
>current environment.

I guess I'd soften that statement by saying that one should always 
feel free to roll back to 1.5.5 from the current snapshot.  Testing 
is good but doing so doesn't mean you have to be stuck on some bleeding
edge with no recourse.  There's nothing permanently destabilizing or 
compromising about running a snapshot if you keep around the version of 
cygwin1.dll that you were using before installing the snapshot.  That's 
pretty easy to do, even if your favorite cygwin1.dll version isn't still 
available via setup.exe (which 1.5.5 is).  So I don't view using 
snapshots as compromising an environment but rather insurance against
a release that generates problems for everyone.  I think anyone who
can run a snapshot, at least from time to time, should.  In this case,
I certainly highly recommend that folks try the latest snapshot and report 
any problems they find that haven't already been reported. 

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/